Bug 634614 - Review Request: mingw32-srvany - Utility for creating a service from any MinGW Windows binary
Summary: Review Request: mingw32-srvany - Utility for creating a service from any MinG...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-16 14:52 UTC by Adam Stokes
Modified: 2013-02-06 12:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-04 09:59:47 UTC
lemenkov: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Adam Stokes 2010-09-16 14:52:49 UTC
Spec URL: http://astokes.fedorapeople.org/mingw32-srvany/mingw32-srvany.spec
SRPM URL: http://astokes.fedorapeople.org/mingw32-srvany/mingw32-srvany-1.0.0-1.fc13.src.rpm
Description: Utility for creating a service from any MinGW Windows binary

Comment 1 Peter Lemenkov 2010-10-07 19:31:02 UTC
Andrew, sorry for shamelessly breaking into your review but it has been more than two weeks since last change of this ticket. And some people are waiting for this package. So here is my 

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is NOT silent

Sulaco ~: rpmlint Desktop/mingw32-srvany-*
mingw32-srvany.noarch: W: no-documentation
mingw32-srvany-debuginfo.noarch: E: empty-debuginfo-package
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
Sulaco ~: 

The sub-package -debuginfo is empty so I suppose you should not even try to build it.

+/- The package seems to be named according to the Package Naming Guidelines. Nevertheless I'm feeling doubts here - the upstream named it as rhsrvany, so it make me wonder that mingw32-rhsrvany could be more proper package's name for this app.

+ The spec file name matches the base package %{name}, in the format %{name}.spec.

+/- The package meets the Packaging Guidelines except the issue with bogus debuginfo (see above).

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.

- The License field in the package spec file DOES NOT match the actual license (GPLv2+).

0 No file, containing the text of the license(s) for the package, is provided by upstream.
+ The spec file is written in American English.
+ The spec file for the package is legible.

- The sources used to build the package, MUST match the upstream source, as provided in the spec URL. Unfortunately I got only 404 while trying the url from spec - please fix it.

Sulaco ~/rpmbuild/SOURCES: sha256sum rhsrvany-1.0.0.tar.gz*
28c3911ee7d5acbba12532c8417d4b34c4bec6f5dece191773a62df87c39bc28  rhsrvany-1.0.0.tar.gz
28c3911ee7d5acbba12532c8417d4b34c4bec6f5dece191773a62df87c39bc28  rhsrvany-1.0.0.tar.gz.1
Sulaco ~/rpmbuild/SOURCES: 


+ The package successfully compiles and builds into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2521293

+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No need to run ldconfig for mingw32 libraries.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No need to separate header files from main package for mingw32-related package.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package for mingw32 packages, since they are intended for devel entirely.
0 The mingw32 package may contain necessary .la libtool archives. This is not a blocker.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Summarizing things - please:

* Fix URL
* Fix license tag
* Do not generate bogus debuginfo package
* Comment my doudts about name of package

Comment 2 Peter Lemenkov 2010-10-19 12:44:39 UTC
Ping, Adam.

Comment 3 Andrew Beekhof 2010-10-25 06:41:19 UTC
Hi Peter, thanks for the review, we'll get those fixed asap.

Regarding the name, RHSrvAny is needlessly Red Hat specific.
The upstream project will either be renamed to WinSrvAny or just mingw32-srvany as in the package here (mingw32-WinSrvAny seems needlessly redundant).

Comment 4 Andrew Beekhof 2010-10-26 07:48:45 UTC
Having talked to rjones, we've agreed:
1) to drop the RH prefix and use mingw32-srvany as the project name
2) to designate http://github.com/beekhof/mingw32-srvany as "upstream"

As such, new SRPM is here:
   http://repos.fedorapeople.org/repos/beekhof/matahari/fedora-13/SRPMS/mingw32-srvany-1.0-3.fc13.src.rpm

And the updated spec file here:
   http://oss.clusterlabs.org/~beekhof/mingw32-srvany.spec

It should address all the concerns raised in comment #1

Comment 5 Peter Lemenkov 2010-10-26 08:06:01 UTC
License tag is wrong:

http://github.com/beekhof/mingw32-srvany/blob/master/COPYING

"This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version."

GPLv2+

Comment 6 Andrew Beekhof 2010-10-27 06:11:46 UTC
Ah, well spotted.  No idea why it was set to BSD.
With that change the review is passed?

Comment 7 Peter Lemenkov 2010-10-27 06:16:45 UTC
(In reply to comment #6)
> Ah, well spotted.  No idea why it was set to BSD.
> With that change the review is passed?

No it won't. I'm just waiting for this to be fixed before final approval. This is the only issue remaining.

Comment 8 Peter Lemenkov 2010-11-10 08:54:59 UTC
(In reply to comment #6)
> Ah, well spotted.  No idea why it was set to BSD.
> With that change the review is passed?

Oh, I'm so sorry - I have no idea why I replied you that the review won't be passed even with this change. Because this is the only issue remaining, I'll mark this review as passed right after you'll provide src.rpm with fixed License tag.

So, please, provide updated spec and srpm, and I'll finish this review.

Comment 9 Andrew Beekhof 2010-12-03 12:45:39 UTC
Done

Spec file is in the same location, updated SRPM is:

  http://repos.fedorapeople.org/repos/beekhof/matahari/fedora-13/SRPMS/mingw32-srvany-1.0-4.fc13.src.rpm

Sorry for the delay

Comment 10 Peter Lemenkov 2010-12-03 13:29:25 UTC
Ok, good. I don't see any other issues so this package is

APPROVED.

Comment 11 Andrew Beekhof 2010-12-08 11:41:09 UTC
New Package CVS Request
=======================
Package Name: mingw32-srvany 
Short Description:  Utility for creating a service from any MinGW Windows binary
Owners: beekhof
Branches: F14
InitialCC: astokes

Comment 12 Jens Petersen 2010-12-09 00:50:32 UTC
Git done (by process-git-requests).

Comment 13 Andrew Beekhof 2010-12-15 11:44:28 UTC
Imported. Closing. Thankyou all.


Note You need to log in before you can comment on or make changes to this bug.